Skip to main content
Import / Export

Import public holiday data

Import public holiday data from supported data sources. Presently data.gov.au is supported.

POST
/gb/import/public-holidays

Resource Ids can be obtained from https://data.gov.au/dataset/ds-dga-b1bc6077-dadd-4f61-9f8c-002ab2cdff10/details.

This API is idempotent. Making multiple identical requests has the same effect as making a single request.

This method requires the ImportPublicHolidays permission to be associated with your role.

Authorizationstringheaderrequired

For accessing the API a valid token must be passed in all the queries in the 'Authorization' header.

A valid token is generated by the API and returned by the /authenticate method by supplying a valid username and password.

The following syntax must be used in the 'Authorization' header :

Bearer aaaaaa/bbbbbb.ccccccc.dddddd

Body

application/x-www-form-urlencoded
data_sourceenum<string>required

Import data source

Available options: data.gov.au
resource_idstringrequired

Resource id for the specified data source. e.g. 33673aca-0857-42e5-b8f0-9981b4755686

Success